/**
 * An element for managing global messages.
 */
angular.module('quay').directive('superUserBuildLogs', function () {
  var directiveDefinitionObject = {
    priority: 0,
    templateUrl: '/static/directives/super-user-build-logs.html',
    replace: false,
    transclude: true,
    restrict: 'C',
    scope: {
      'isEnabled': '=isEnabled'
    },
    controller: function ($scope, $element, ApiService) {
      $scope.buildParams = {};
      $scope.showLogTimestamps = true;
      $scope.loadBuild = function () {
        var params = {
          'build_uuid': $scope.buildParams.buildUuid
        };
        ApiService.getRepoBuildSuperUserAsResource(params).get(function (build) {
          $scope.build = build;
        });
      };
      $scope.setUpdatedBuild = function (build) {
        $scope.build = build;
      };
    }
  };
  return directiveDefinitionObject;
});
